=== added directory 'plugin/rot13'
=== added file 'plugin/rot13/plugin.ini'
--- plugin/rot13/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/rot13/plugin.ini	2010-01-20 02:39:01 +0000
@@ -0,0 +1,4 @@
+[plugin]
+title=ROT 13
+description=A wonderful ROT 13 implementation
+load_by_default=yes
\ No newline at end of file

=== added file 'plugin/rot13/rot13.cc'
--- plugin/rot13/rot13.cc	1970-01-01 00:00:00 +0000
+++ plugin/rot13/rot13.cc	2010-01-20 02:39:01 +0000
@@ -0,0 +1,71 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Tim Penhey <tim@penhey.net>
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include <drizzled/plugin/function.h>
+#include <drizzled/item/func.h>
+#include <drizzled/function/str/strfunc.h>
+
+#include <string>
+
+using namespace std;
+using namespace drizzled;
+
+namespace {
+  char const* func_name = "rot13";
+}
+
+class Item_func_rot13 : public Item_str_func
+{
+public:
+  Item_func_rot13() : Item_str_func() {}
+  const char *func_name() const { return func_name; }
+
+  String *val_str(String* s) {
+    return args[0]->val_str(&s);
+  };
+
+  void fix_length_and_dec() {
+    max_length = args[0]->max_length;
+  }
+
+  bool check_argument_count(int n)
+  {
+    return (n == 1);
+  }
+};
+
+plugin::Create_function<Item_func_rot13> *rot13_func = NULL;
+
+static int rot13_plugin_init(drizzled::plugin::Registry &registry)
+{
+  rot13_func =
+    new plugin::Create_function<Item_func_rot13>(func_name);
+  registry.add(rot13_func);
+  return 0;
+}
+
+static int rot13_plugin_deinit(drizzled::plugin::Registry &registry)
+{
+  registry.remove(rot13_func);
+  delete rot13_func;
+  return 0;
+}
+
+DRIZZLE_PLUGIN(initialize, finalize, NULL, NULL);

=== added directory 'plugin/rot13/tests'
=== added directory 'plugin/rot13/tests/r'
=== added file 'plugin/rot13/tests/r/rot13_basic.result'
--- plugin/rot13/tests/r/rot13_basic.result	1970-01-01 00:00:00 +0000
+++ plugin/rot13/tests/r/rot13_basic.result	2010-01-20 02:39:01 +0000
@@ -0,0 +1,1 @@
+

=== added directory 'plugin/rot13/tests/t'
=== added file 'plugin/rot13/tests/t/rot13_basic.test'
--- plugin/rot13/tests/t/rot13_basic.test	1970-01-01 00:00:00 +0000
+++ plugin/rot13/tests/t/rot13_basic.test	2010-01-20 02:39:01 +0000
@@ -0,0 +1,1 @@
+select rot13("hello world");

